using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace AnimatedSiteMapControl
{
    public class AnimatedSiteMapDesigner : System.Web.UI.Design.ControlDesigner
    {
        protected override void PreFilterProperties(System.Collections.IDictionary properties)
        {
            base.PreFilterProperties(properties);

            AnimatedSiteMapMenu animMenu = this.Component as AnimatedSiteMapMenu;

            if (animMenu != null)
            {
                properties.Remove("AccessKey");
                properties.Remove("BackColor");
                properties.Remove("BorderColor");
                properties.Remove("TabIndex");
                properties.Remove("BorderStyle");
                properties.Remove("BorderWidth");
                properties.Remove("CssClass");
                properties.Remove("EnableTheming");
                properties.Remove("EnableViewState");
                properties.Remove("Font");
                properties.Remove("ForeColor");
                properties.Remove("SkinID");
                properties.Remove("Height");
                properties.Remove("ToolTip");
                properties.Remove("Visible");
                properties.Remove("Width");
            }

            

        }
        public override string GetDesignTimeHtml()
        {
            return base.GetEmptyDesignTimeHtml();
        }
    }
}
